-- Customer specific once-script
--
-- Support: +31 53 4800700
--


SET ECHO ON
SET DEFINE ON
column fcltlogfile new_value fcltlogfile NOPRINT;
select UPPER(USER) || '_AAIT#36272' || to_char(sysdate,'YYYYMMDD_HH24MISS') || '.lst' as fcltlogfile from dual;
spool &fcltlogfile
SET DEFINE OFF

INSERT INTO prs_bedrijfadres (prs_bedrijf_key,
                              prs_bedrijfadres_type,
                              mld_typeopdr_key,
                              prs_bedrijfadres_url,
                              prs_bedrijfadres_ordermode,
                              prs_bedrijfadres_xsl,
                              prs_bedrijfadres_flexfiles)
   SELECT DISTINCT prs_bedrijf_key,
                   prs_bedrijfadres_type,
                   ot.mld_typeopdr_key,
                   prs_bedrijfadres_url,
                   prs_bedrijfadres_ordermode,
                   prs_bedrijfadres_xsl,
                   prs_bedrijfadres_flexfiles
     FROM prs_bedrijfadres ba, mld_typeopdr ot
    WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
      AND prs_bedrijfadres_type = 'O'
      AND ba.mld_typeopdr_key IS NULL
      AND (ot.mld_typeopdr_omschrijving = 'Project RFQ'
        OR ot.mld_typeopdr_omschrijving = 'Projectorder')
      AND NOT EXISTS
             (SELECT prs_bedrijfadres_key
                FROM prs_bedrijfadres ba2
               WHERE ba2.prs_bedrijf_key = ba.prs_bedrijf_key
                 AND ba2.mld_typeopdr_key = ot.mld_typeopdr_key);

COMMIT;

BEGIN adm.systrackscriptid('$Id$'); END;
/

COMMIT;
SPOOL OFF
